# Hugin Preferences

# General

## Resource usage

To speed things up hugin keeps a copy in memory of as many input photos as possible. With very large projects, this would use all your system memory, so set Image cache memory to a value below your available free RAM. The default of 200MB should be ok for a system with 512MB of RAM.

The hugin Preview window is multi-threaded so can use more than one CPU/core if required. Set Number of CPUs to how many CPUs you wish to use.

## User interface

Usually, hugin will use the current locale to determine the language of buttons, menus etc... Set the Language if you need to switch languages temporarily or if you are using a platform such as Windows95 that doesn't support localised software. hugin won't change language immediately, you will need to stop and restart it.

## File options

Some hugin actions generate large temporary files, change the Tempdir to specify an alternative location for writing these files. One reason for setting this independently from the operating system would be to use a RAM disk to speed up stitching.

# Assistant

The Hugin Assistant tab automates the entire panorama creation process, these settings allow you to customise the assistant.

## Image loading

Select Automatically align images after loading to run the second Align... step immediately after loading the images.

## Auto align

Auto align uses autopano-sift or autopano to generate control points between pairs of images, set Number of Ctrl Points per overlap to control the number of control points. Note that although most pictures can be stitched with just three or four control points, automatically generated points tend not to be very evenly distributed, so this number should be set to ten or more

The size of the output Panorama Image Size is usually set in the Hugin Stitcher tab where it is also possible to Calculate Optimal Size based on the sizes of the input images. The Auto align process does something similar, though here you can set a smaller output as a percentage. Generally setting a percentage of 70% leads to no great loss of quality due to the way a camera CCD samples data.

# Control Points Editor

## HDR and 16bit display mode

hugin supports both HDR and 16bit imaging. These image formats contain a lot more brightness and colour information than can be displayed on a standard computer monitor, so hugin only shows a rough representation of these pictures.

16bit data can have linear or corrected gamma. Linear images appear very dark on many monitors, so set the Curve to gamma 2.2.

For HDR data, try setting the Curve to logarithmic.

Changes to the HDR and 16bit display mode require restarting hugin to take effect.

## Finetune

hugin helps position control points to within a fraction of a pixel distance automatically:

- When auto fine-tune is selected in the hugin Control Points tab while picking control points.
- When clicking Fine-tune in the hugin Control Points tab
- When picking Fine-tune all Points in the hugin Main window Edit menu.

- Patch width, the size of the square of pixels taken from the left photo to match with the right photo when picking control points, reduce if this is taking a long time on your system.
- Search area width, the percentage area of the right photo that is searched when picking control points, reduce if this is taking a long time on your system.
- Local search area width, the region of the right photo searched when you click Fine-tune in the hugin Control Points tab or Fine-tune all Points in the hugin Main window Edit menu.
- Correlation Threshold. For each Fine-tune, hugin calculates the quality of the control points match, raise this threshold to reject dubious matches.
- Peak Curvature Threshold, Currently unused.

## Rotation search

Enable this if your photos:

- have a very wide angle Field of View or fisheye Projection.
- are tilted up or down, control points near the zenith or nadir may need to have full 360 degree rotation search

# Autopano

hugin uses an external tool for automatically creating control points for a set of images either when:

- clicking 2. Align... in the hugin Assistant tab.
- or clicking Create control points in the hugin Images tab.

Set the pull down menu to use the default configuration for one of these external tools:

- Autopano (by A. Jenny), closed source, available for Linux i386 and Windows 32bit.
- Autopano-SIFT (by S. Nowozin), open source, available for Linux, Windows and OS X.

Parameters for these tools can be customised or even switched to another similar tool (such as autopano-sift-C) in the remaining section. Typical tweaks might be to:

- Set --noransac for autopano-sift when using non-rectilinear Projection input images.
- Set --size for autopano-sift which by default downsizes images to 700 pixels before matching.

# Enblend

In the final stitching process nona reprojects and distorts images to fit, enblend takes these images as individual TIFF files and merges them using sophisticated seam positioning and blending into a single finished TIFF file.

The Use alternative Enblend program option allows you to use other tools with a similar interface such as smartblend or enblend-mask.

enblend supports a range of Additional arguments, for example you may want to set:

- -a Pre-assemble non-overlapping images to speed up blending. This is generally useful, but will slow blending in rare cases.
- -l number Number of levels to use (1 to 29), larger numbers result in wider seams. E.g. setting 1 will result in a 2 pixel wide blend, 8 will result in a 256 pixel wide blend and you are extremely unlikely to want a blend level as high as 16.
- -z Use LZW compression. The TIFF file format has a 2GiB limit (or 4GiB or 8GiB, depending on who you ask) so you will find this useful for large panoramas.
- -b kilobytes Image cache block size (default=2MiB)
- -c Use CIECAM02 to blend colors. Your input images need to have embedded colour profiles for this to work.
- -m megabytes Use this much memory before going to disk (default=1GiB). Increase if you have a lot of memory on your system.
- --fine-mask Enables detailed mask generation.
- --no-optimize Turn off mask optimization.

# Enfuse

If Exposure Blending is selected in the hugin Stitcher tab then enfuse will be used to merge bracketed exposures during stitching.

Retrieved from "http://wiki.panotools.org/Hugin_Preferences"